#!/usr/bin/env python
#
# person documentation build configuration file, created by
# sphinx-quickstart on Fri Jun  9 13:47:02 2017.
#
# This file is execfile()d with the current directory set to its
# containing dir.
#
# Note that not all possible configuration values are present in this
# autogenerated file.
#
# All configuration values have a default; values that are commented out
# serve to show the default.

# If extensions (or modules to document with autodoc) are in another
# directory, add these directories to sys.path here. If the directory is
# relative to the documentation root, use os.path.abspath to make it
# absolute, like shown here.
#

#########################################################
# import os
# import sys
from typing import Dict  # isort: skip # noqa

#
# PACKAGE_PARENT = ".."
# DOCS_DIR = os.path.dirname(
#    os.path.realpath(os.path.join(os.getcwd(), os.path.expanduser(__file__)))
# )  # isort:skip # noqa # pylint: disable=wrong-import-position
# PROJECT_DIR = os.path.dirname(DOCS_DIR)
# sys.path.insert(0, PROJECT_DIR)
## sys.path.append(
##     os.path.normpath(os.path.join(DOCS_DIR, PACKAGE_PARENT))
## )  # isort: skip # noqa # pylint: disable=wrong-import-position
#
# from src import person  # noqa
#
# print(person.__path__)

#############################################################

# -- General configuration ---------------------------------------------

# If your documentation needs a minimal Sphinx version, state it here.
#
# needs_sphinx = '1.0'

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom ones.
extensions = ["sphinx.ext.autodoc", "sphinx.ext.viewcode"]

# Add any paths that contain templates here, relative to this directory.
templates_path = ["_templates"]

# The suffix(es) of source filenames.
# You can specify multiple suffix as a list of string:
#
# source_suffix = ['.rst', '.md']
source_suffix = ".rst"

# The master toctree document.
master_doc = "index"

# General information about the project.
project = "person-roles"
copyright = "2020, Oliver Stapel"
author = "Oliver Stapel"

# The version info for the project you're documenting, acts as replacement
# for |version| and |release|, also used in various other places throughout
# the built documents.
#
# The short X.Y version.
# version = person.__version__
verson = "0.1.10"
# The full version, including alpha/beta/rc tags.
# release = person.__version__
release = "0.1.10"

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#
# This is also used if you do content translation via gettext catalogs.
# Usually you set "language" from the command line for these cases.
language = None

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This patterns also effect to html_static_path and html_extra_path
exclude_patterns = [
    "_build",
    "Thumbs.db",
    ".DS_Store",
    "**tests**",
    "**setup**",
]

# The name of the Pygments (syntax highlighting) style to use.
pygments_style = "sphinx"

# If true, `todo` and `todoList` produce output, else they produce nothing.
todo_include_todos = False

# Extensions
# ==========

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = [
    # Import docstrings from modules, classes, functions and more.
    # http://sphinx-doc.org/ext/autodoc.html
    "sphinx.ext.autodoc",
    "sphinx.ext.coverage",
    "sphinx.ext.doctest",
    "sphinx.ext.ifconfig",
    "sphinx.ext.intersphinx",
    "sphinx.ext.mathjax",
    # Google/Numpy-style docstring support
    # http://sphinx-doc.org/ext/napoleon.html#module-sphinx.ext.napoleon
    "sphinx.ext.napoleon",
    "sphinx.ext.todo",
    "sphinx.ext.viewcode",
]

# autodoc
# -------

# http://sphinx-doc.org/ext/autodoc.html#confval-autodoc_default_flags
autodoc_default_flags = (
    "members",
    "undoc-members",
)

# http://sphinx-doc.org/ext/autodoc.html#confval-autodoc_member_order
autodoc_member_order = "alphabetical"

# http://sphinx-doc.org/ext/autodoc.html#confval-autoclass_content
# Include docstrings from: class || init || both
autoclass_content = "class"


## doctest
## -------
#
# doctest_global_setup = "from api_browser import *"
#
#
## InterSphinx
## -----------
#
# intersphinx_mapping = {
#    "python": ("http://python.readthedocs.org/en/v2.7.2/", None),
#    "sphinx": ("http://sphinx.readthedocs.org/en/latest/", None),
# }

# Output
# ======

# -- Options for HTML output -------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
# html_theme = 'alabaster'
html_theme = "sphinx_rtd_theme"

# Theme options are theme-specific and customize the look and feel of a
# theme further.  For a list of options available for each theme, see the
# documentation.
#
# html_theme_options = {}

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ["_static"]

# -- Options for HTMLHelp output ---------------------------------------

# Output file base name for HTML help builder.
htmlhelp_basename = "persondoc"

# -- Options for LaTeX output ------------------------------------------

latex_elements: Dict[str, str] = {
    # The paper size ('letterpaper' or 'a4paper').
    #
    # 'papersize': 'letterpaper',
    # The font size ('10pt', '11pt' or '12pt').
    #
    # 'pointsize': '10pt',
    # Additional stuff for the LaTeX preamble.
    #
    # 'preamble': '',
    # Latex figure (float) alignment
    #
    # 'figure_align': 'htbp',
}

# Grouping the document tree into LaTeX files. List of tuples
# (source start file, target name, title, author, documentclass
# [howto, manual, or own class]).
latex_documents = [
    (
        master_doc,
        "person.tex",
        "person-roles Documentation",
        "Oliver Stapel",
        "manual",
    ),  # noqa
]  # noqa


# -- Options for manual page output ------------------------------------

# One entry per manual page. List of tuples
# (source start file, name, description, authors, manual section).
man_pages = [
    (master_doc, "person-roles", "person-roles Documentation", [author], 1)
]  # noqa


# -- Options for Texinfo output ----------------------------------------

# Grouping the document tree into Texinfo files. List of tuples
# (source start file, target name, title, author,
#  dir menu entry, description, category)
texinfo_documents = [
    (
        master_doc,
        "person-roles",
        "person-roles Documentation",
        author,
        "person-roles",
        "One line description of project.",
        "Miscellaneous",
    ),
]
